* {
  font-family: Arial, Helvetica, sans-serif;
}

body {
  display: flex;
  flex-direction: column;
  height: 100%;
}

main {
  flex: 1;
  margin: 40px;
  max-width: 60%;
  line-height: 30px;
  word-spacing: 2px;
  align-self: center;
  text-align: justify;
}

h1 {
  padding: 10px;
  font-size: 50px;
  border: 20px;
  text-align: center;
}

p {
  margin: 30px 0px; /*if the margin property have only 2 values, then the first value indicates the top and bottom, the other one is right and left.*/
}

a {
  color: blue;
  text-decoration: none;
}

a.active {
  color: violet;
}

.main-navigation {
  display: flex;
  gap: 60px;
  font-size: large;
  border-bottom: 2px solid black;
  padding: 20px;
  justify-content: center;
}

.back-to-home {
  display: inline-block;
  align-self: flex-start;
  border: 2px solid black;
  border-radius: 5%;
  margin: 10px;
  padding: 5px;
}

.profile {
  text-align: center;
}

.profile-picture {
  width: 180px;
  height: 180px;
  border: 4px solid blue;
  border-radius: 20%;
  margin: 20px;
}

.post-preview {
  border: 1px solid #ccc;
  padding: 10px;
  margin-bottom: 10px;
  text-align: center;
  border-radius: 10px;
  display: flex;
  flex-direction: column;
}

.footer {
  display: flex;
  flex-direction: column;
  text-align: center;
  border-top: 2px solid black;
  padding: 20px;
}
